#!/bin/sh

ESXI_TYPE=
echo
echo "--------------------------------------------------------------"
echo " logmonitor Event management tool."
echo "   All Rights Reserved. Copyright (C) 2006,2017, Hitachi, Ltd."
echo "--------------------------------------------------------------"
echo
echo "Please choose VMware ESXi of the use."
echo " 1. ESXi 5.x"
echo " 2. ESXi 6.x"
echo
while [ 1 ]
do
    echo -n "(1-2,q) : "
    read ANS
    case $ANS in
      1)
        ESXI_TYPE="5"
        break
        ;;
      2)
        ESXI_TYPE="6"
        break
        ;;
      q|Q)
        echo "Setup was canceled."
        exit 1
        ;;
    esac
done


### MPM install ###
if [ $ESXI_TYPE = "5" ] 
then
    tar pvxzf MIACATVMA.tar.gz -C /
else
    rm -f  /opt/hitachi/tools/miacat/* > /dev/null
    rm -rf /opt/hitachi/tools/miacat   > /dev/null
fi

### Logrotate config ###
cp ./esxi5-syslog_for_miacat /etc/logrotate.d/

### syslog-ng config ###
FLAG_IN_MIACAT_CONF=0
line_without_miacat=""
if [ -e tmp.txt ]; then
  rm tmp.txt
fi

while read line;
  do
    if [ "$line" != "#miacat-config-0000-start" ] && [ $FLAG_IN_MIACAT_CONF -eq 0 ]; then
      echo $line >> tmp.txt      
    elif [ "$line" = "#miacat-config-0000-start" ] && [ $FLAG_IN_MIACAT_CONF -eq 0 ]; then
      FLAG_IN_MIACAT_CONF=1
    elif [ "$line" = "#miacat-config-0000-end" ] && [ $FLAG_IN_MIACAT_CONF -eq 1 ]; then
      FLAG_IN_MIACAT_CONF=0
    fi
done < "/etc/syslog-ng/syslog-ng.conf"

cat tmp.txt > /etc/syslog-ng/syslog-ng.conf

if [ $ESXI_TYPE = "5" ] 
then
    cat syslog-ng-add-conf-DATE.txt >> /etc/syslog-ng/syslog-ng.conf
else
    cat syslog-ng-add-conf-ISODATE.txt >> /etc/syslog-ng/syslog-ng.conf
fi

echo "Installed successfully."
exit 0
